package com.mortals.xhx.module.platform.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:PlatformListener
* date: 2021-9-3 10:13:58
*/
public class PlatformListenerQuery extends PlatformListenerEntity{
    private static final long serialVersionUID = 1630635238086L;
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List <Long> idList;

    /** 开始 业务平台Id */
    private Long platformIdStart;

    /** 结束 业务平台Id */
    private Long platformIdEnd;

    /** 增加 业务平台Id */
    private Long platformIdIncrement;

    /** 业务平台Id */
    private List <Long> platformIdList;


    /** 业务生成，平台内唯一 */
    private List<String> platformSnList;

    /** 监听器类型编码，lcqd，rwcj，rwjs等 */
    private List<String> typeCodeList;

    /** 监听器类型编码，流程启动，任务创建，任务结束等 */
    private List<String> typeNameList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PlatformListenerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PlatformListenerQuery> andConditionList;


    public PlatformListenerQuery(){
    }

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 业务平台Id
    * @return platformIdStart
    */
    public Long getPlatformIdStart(){
    return this.platformIdStart;
    }

    /**
    * 设置 开始 业务平台Id
    * @param platformIdStart
    */
    public void setPlatformIdStart(Long platformIdStart){
    this.platformIdStart = platformIdStart;
    }

    /**
    * 获取 结束 业务平台Id
    * @return platformIdEnd
    */
    public Long getPlatformIdEnd(){
    return this.platformIdEnd;
    }

    /**
    * 设置 结束 业务平台Id
    * @param platformIdEnd
    */
    public void setPlatformIdEnd(Long platformIdEnd){
    this.platformIdEnd = platformIdEnd;
    }

    /**
    * 获取 增加 业务平台Id
    * @return platformIdIncrement
    */
    public Long getPlatformIdIncrement(){
    return this.platformIdIncrement;
    }

    /**
    * 设置 增加 业务平台Id
    * @param platformIdIncrement
    */
    public void setPlatformIdIncrement(Long platformIdIncrement){
    this.platformIdIncrement = platformIdIncrement;
    }

    /**
    * 获取 业务平台Id
    * @return platformIdList
    */
    public List<Long> getPlatformIdList(){
    return this.platformIdList;
    }

    /**
    * 设置 业务平台Id
    * @param platformIdList
    */
    public void setPlatformIdList(List<Long> platformIdList){
        this.platformIdList = platformIdList;
        }
    /**
    * 获取 业务生成，平台内唯一
    * @return platformSnList
    */
    public List<String> getPlatformSnList(){
        return this.platformSnList;
    }

    /**
    * 设置 业务生成，平台内唯一
    * @param platformSnList
    */
    public void setPlatformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
    }
    /**
    * 获取 监听器类型编码，lcqd，rwcj，rwjs等
    * @return typeCodeList
    */
    public List<String> getTypeCodeList(){
        return this.typeCodeList;
    }

    /**
    * 设置 监听器类型编码，lcqd，rwcj，rwjs等
    * @param typeCodeList
    */
    public void setTypeCodeList(List<String> typeCodeList){
        this.typeCodeList = typeCodeList;
    }
    /**
    * 获取 监听器类型编码，流程启动，任务创建，任务结束等
    * @return typeNameList
    */
    public List<String> getTypeNameList(){
        return this.typeNameList;
    }

    /**
    * 设置 监听器类型编码，流程启动，任务创建，任务结束等
    * @param typeNameList
    */
    public void setTypeNameList(List<String> typeNameList){
        this.typeNameList = typeNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }


	/**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public PlatformListenerQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public PlatformListenerQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public PlatformListenerQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public PlatformListenerQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public PlatformListenerQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  业务平台Id
    * @param platformId
    */
    public PlatformListenerQuery platformId(Long platformId){
	    setPlatformId(platformId);
		return this;
    }
	
	 /**
    * 设置 开始 业务平台Id
    * @param platformIdStart
    */
    public PlatformListenerQuery platformIdStart(Long platformIdStart){
		this.platformIdStart = platformIdStart;
		return this;
    }

    /**
    * 设置 结束 业务平台Id
    * @param platformIdEnd
    */
    public PlatformListenerQuery platformIdEnd(Long platformIdEnd){
		this.platformIdEnd = platformIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务平台Id
    * @param platformIdIncrement
    */
    public PlatformListenerQuery platformIdIncrement(Long platformIdIncrement){
		this.platformIdIncrement = platformIdIncrement;
		return this;
    }

    /**
    * 设置 业务平台Id
    * @param platformIdList
    */
    public PlatformListenerQuery platformIdList(List<Long> platformIdList){
        this.platformIdList = platformIdList;
		return this;
        }
	/**
    * 设置 业务生成，平台内唯一
    * @param platformSn
    */
    public PlatformListenerQuery platformSn(String platformSn){
        setPlatformSn(platformSn);
		return this;
    }


    /**
    * 设置 业务生成，平台内唯一
    * @param platformSnList
    */
    public PlatformListenerQuery platformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
		return this;
    }
	/**
    * 设置 监听器类型编码，lcqd，rwcj，rwjs等
    * @param typeCode
    */
    public PlatformListenerQuery typeCode(String typeCode){
        setTypeCode(typeCode);
		return this;
    }


    /**
    * 设置 监听器类型编码，lcqd，rwcj，rwjs等
    * @param typeCodeList
    */
    public PlatformListenerQuery typeCodeList(List<String> typeCodeList){
        this.typeCodeList = typeCodeList;
		return this;
    }
	/**
    * 设置 监听器类型编码，流程启动，任务创建，任务结束等
    * @param typeName
    */
    public PlatformListenerQuery typeName(String typeName){
        setTypeName(typeName);
		return this;
    }


    /**
    * 设置 监听器类型编码，流程启动，任务创建，任务结束等
    * @param typeNameList
    */
    public PlatformListenerQuery typeNameList(List<String> typeNameList){
        this.typeNameList = typeNameList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public PlatformListenerQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public PlatformListenerQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public PlatformListenerQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public PlatformListenerQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PlatformListenerQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PlatformListenerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PlatformListenerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PlatformListenerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}